Bug 9610 - Quirksmode meta bug
: Quirksmode meta bug
Status: NEW
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 420+
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To: Nobody
http://www.quirksmode.org/bugreports/...
:
Depends on: 3409 7092 7967 9243 9257 9262 9264 9267 9268 15602 3581 4194 5454 6309 7022 7058 7095 9239 9240 9241 9242 9244 9245 9247 9248 9249 9250 9251 9254 9255 9258 9259 9260 9261 9263 9265 9266 9269 9270 9271 9273 9274 9275 9276 9277 9278 9279 9280 9281 9282 9283 9284 9285 9286 9287 9288 9659 11937 11938 11939 11943 11944 11945 11946 12114 26362
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 13:57 PDT by Joost de Valk (AlthA)
Modified: 2013-08-08 14:05 PDT (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joost de Valk (AlthA) 2006-06-26 13:57:40 PDT
This is a meta bug to keep track of all the bugs Adele got off the Quirksmode site, to see how we're doing in fixing them.
Comment 1 Joost de Valk (AlthA) 2006-06-26 14:05:25 PDT
Adding dependencies for dupes.
Comment 2 David Kilzer (:ddkilzer) 2006-12-22 14:01:00 PST
16 more quirks have been posted since June 02, 2006 when Adele finished posting the then-exiting Quirksmode bugs.  New quirks start with:

Safari :hover bug on overflowed element containing floats
Reported: 5 Jun 2006
Comment 3 David Kilzer (:ddkilzer) 2006-12-22 19:20:56 PST
Safari :hover bug on overflowed element containing floats
Reported on 5 June 2006
http://www.quirksmode.org/bugreports/archives/2006/06/Safari_hover_bug_on_overflowed_element_containing_.html

Safari (only tested 2.0.3) fires :hover outside the borders of an overflowe:d element if it's containing floating element. The :hover will trigger outside the element on Safari. Neither MSIE6 or Firefox has this bug.

Test page: http://burnfield.com/martin/misc/safari_overflow_bug.html

Fixed in locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 4 David Kilzer (:ddkilzer) 2006-12-22 19:26:14 PST
Change to overflow property does not remove scrollbar
Reported on 27 June 2006
http://www.quirksmode.org/bugreports/archives/2006/06/Change_to_overflow_property_does_not_remove_scroll.html

When setting the overflow from auto to hidden, nothing happens in Safari.

Test page: http://www.bretoniere.com/overflow.html

Fixed in locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 5 David Kilzer (:ddkilzer) 2006-12-22 19:31:03 PST
addEventListener not working for dblclick event
Reported on 28 June 2006
http://www.quirksmode.org/bugreports/archives/2006/06/AddEventListener_not_working_in_Safari_for_double_.html

In Safari and Opera the 'dblclick' event can not be attached using addEventListener.

Test page: http://www.pixmor.com/misc/safari_addeventlistener_dblclick.htm

Fixed as of locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 6 David Kilzer (:ddkilzer) 2006-12-22 19:58:23 PST
Hangs up on form element with display:table-cell
Reported on 19 July 2006
http://www.quirksmode.org/bugreports/archives/2006/07/Hangs_up_on_form_element_with_displaytable_cell.html

Put the code: <form style="display:table-cell"></form> in a page. Safari will hang and you must force it to quit.

Applying styles dynamically makes no difference.

Test page: http://images.icnetwork.co.uk/docs/tmcorporate/3906F99E-9CAF-AB19-A21A316E3E2016BC.html

Fixed as of locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 7 David Kilzer (:ddkilzer) 2006-12-22 20:24:38 PST
Incompatibility in "children" DOM property
Reported on 22 September 2006
http://www.quirksmode.org/bugreports/archives/2006/09/Incompatibility_in_children_DOM_property.html

In Safari 2.0.4 (and possibly other versions), a Node's "children" property includes all descendant nodes, not just the immediate children. The "childNodes" property correctly returns only the immediate child nodes.

Test page: http://joynt.net/steve/browser/children.html

Fixed as of locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 8 David Kilzer (:ddkilzer) 2006-12-22 20:37:12 PST
Safari setDate() Bug
Reported on 26 September 2006
http://www.quirksmode.org/bugreports/archives/2006/09/Safari_setDate_Bug.html

Safari's Date.setDate() function appears to be limited to a single byte number, making the range of date changes between -128 and 127.

Test page: http://www.squeeself.com/bugs/safaridatebug.html

Fixed as of locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 9 David Kilzer (:ddkilzer) 2006-12-23 04:09:31 PST
Line-height declaration in short-hand form
Reported on 29 September 2006
http://www.quirksmode.org/bugreports/archives/2006/09/Line_height_declaration_in_short_hand_form.html

Safari doesn't show line-heights defined in the shorthand font declaration:

font:bold italic 14px/40px Arial, Helvetica, sans-serif;
The line height should be 40px, but it's not, in safari.

The solution is quite simple, though: use the common way to declare line-height:

line-height:40px;

Test page: http://djspark.com.br/testes/safari-line-height/

Fixed as of locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 10 David Kilzer (:ddkilzer) 2006-12-23 06:14:49 PST
hover doesn't work with onmouseover
Reported on 18 December 2006
http://www.quirksmode.org/bugreports/archives/2006/12/hover_doesnt_work_with_onmouseover.html

The CSS hover-pseudoelement doesn't work on elements that are shown with an onmouseover-event in Safari

Test page: http://www.fermgustafsson.se/test/bugreport.htm

Fixed as of locally-built debug build of WebKit r18401 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).

Comment 11 David Kilzer (:ddkilzer) 2007-03-15 07:13:20 PDT
Changing col style properties via javascript causes no redraw in Safari
Reported on 31 January 2007
http://www.quirksmode.org/bugreports/archives/2007/01/Changing_col_style_properties_via_javascript_cause.html

Dynamically changing the className or style.backgroundColor has no effect on the rendering of <col>s in Safari. Static styles work fine.

Test page: http://www.sebfrost.co.uk/bugs/safari-col-tag-no-redraw-on-classname-change.htm

Fixed in a local debug build of WebKit r20211 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8L127).

Comment 12 David Kilzer (:ddkilzer) 2007-03-15 07:29:13 PDT
Clearing Problem
Reported on 1 February 2007
http://www.quirksmode.org/bugreports/archives/2007/02/Clearing_Bug_on_Firefox_Safari_and_Opera.html

If you have an element set to float:right; and you follow it with another element set to clear:right; float:right; and then follow those first two elements with a third element set to float:left;, the third element will not float next to the first element, even though it is not actually being cleared.

This bug is also present when the directions are reversed.

(ppknote: Strictly speaking this is a bug in Explorer, but I find Dan's reasoning compelling enough to publish his report unaltered. Besides, other web developers will conceivably run across this behaviour in Safari, Opera, or Firefox. Be sure to click the "real world example" link on the test page.)

Test page: http://level39.com/clearing-bug/
Test page 2: http://level39.com/clearing-bug/layout.html

Fixed as of a local debug build of WebKit r20211 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8L127).

See also Bug 12114.

Comment 13 David Kilzer (:ddkilzer) 2007-03-15 07:30:54 PDT
(In reply to comment #12)
> Clearing Problem
> [...]
> Fixed as of a local debug build of WebKit r20211 with Safari 2.0.4 (419.3) on
> Mac OS X 10.4.8 (8L127).

Technically, this isn't "fixed", it behaves per spec.  See Bug 12114 for details.
Comment 14 David Kilzer (:ddkilzer) 2007-03-15 07:39:20 PDT
for...in loop iterates over shadowed properties
Reported on 7 February 2007
http://www.quirksmode.org/bugreports/archives/2007/02/forin_loop_iterates_over_shadowed_properties.html

In a for...in loop, Safari mistakenly iterates over shadowed properties of an object.

Shadowed properties are an object's constructor's prototype properties which have been overwritten by a property of the object.

This bug affects Safari up to version 2, but has been corrected in WebKit.

Test page: http://tobielangel.com/2007/1/29/for-in-loop-broken-in-safari

Fixed in r15468 per the test page: http://trac.webkit.org/projects/webkit/changeset/15468